# IRank (api 1.1 API)
declaration: package: dev.plex.api.rank, interface: IRank

Package dev.plex.api.rank

# Interface IRank<T>

public interface IRank<T>

## Method Summary

Modifier and Type
Method
Description
`net.kyori.adventure.text.format.NamedTextColor`
`getColor()`
`int`
`getLevel()`
`String`
`getLoginMessage()`
`net.kyori.adventure.text.Component`
`getPrefix()`
`String`
`getReadable()`
`boolean`
`isAtLeast(T rank)`
`void`
`setLoginMessage(String message)`
`void`
`setPrefix(String prefix)`
`org.json.JSONObject`
`toJSON()`

## Method Details

### getLevel

int getLevel()

### getLoginMessage

String getLoginMessage()

### setLoginMessage

void setLoginMessage(String message)

### getReadable

String getReadable()

### getPrefix

net.kyori.adventure.text.Component getPrefix()

### setPrefix

void setPrefix(String prefix)

### getColor

net.kyori.adventure.text.format.NamedTextColor getColor()

### isAtLeast

boolean isAtLeast(T rank)

### toJSON

org.json.JSONObject toJSON()